net.sf.jasperreports.engine.util

## Class JRFloatLocaleConverter

- java.lang.Object
- - org.apache.commons.beanutils.locale.BaseLocaleConverter
  - - org.apache.commons.beanutils.locale.converters.DecimalLocaleConverter
    - - net.sf.jasperreports.engine.util.JRFloatLocaleConverter

- All Implemented Interfaces:
    org.apache.commons.beanutils.Converter, org.apache.commons.beanutils.locale.LocaleConverter

      public class JRFloatLocaleConverter
      extends org.apache.commons.beanutils.locale.converters.DecimalLocaleConverter

  `FloatLocaleConverter` extension that fixes https://issues.apache.org/jira/browse/BEANUTILS-351 To be removed on upgrade to BeanUtils 1.8.1.
  Version:
    $Id: JRFloatLocaleConverter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `locale, locPattern, pattern, useDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFloatLocaleConverter(java.util.Locale locale)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `parse(java.lang.Object value, java.lang.String pattern)`

    - ### Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `convert, convert, convert, convert`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRFloatLocaleConverter

          public JRFloatLocaleConverter(java.util.Locale locale)

  - ### Method Detail

    - #### parse

          protected java.lang.Object parse(java.lang.Object value,
                               java.lang.String pattern)
                                    throws java.text.ParseException

      Overrides:
        `parse` in class `org.apache.commons.beanutils.locale.converters.DecimalLocaleConverter`
      Throws:
        `java.text.ParseException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com